package com.jxml.quick.access;
import com.jxml.quick.*;
import com.jxml.quick.tf.*;

public class QPEClassAccess extends QSimpleAccess
{
    protected Object get(Object parent, QContext context)
	throws QPE
    {
	return ((QPropertyEditor)parent).getPropertyEditorClassName();
    }

    public void add(Object parent, 
		    QTargetFactory parentFactory,
		    Object child, 
		    QContext context)
	throws QPE
    {
	((QPropertyEditor)parent).setPropertyEditorClassName((String)child,
							       context);
    }
}
